## hdbc 0.99.0

=== debian/changelog ===
hdbc (0.99.0) unstable; urgency=low

  * Initial Release.  Closes: #344913.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 27 Dec 2005 10:22:53 -0600

## hdbc 0.99.0build1

=== Makefile ===
all:
	@echo "Please use Cabal to build this package; not make."

.PHONY: doc
doc:
	-rm -r doc
	mkdir doc
	haddock -h -t 'Haskell Database Connectivity (HDBC)' \
		-D doc/hdbc.interface \
		-o doc `find Database -name "*.hs"`

=== debian/changelog ===
hdbc (0.99.0build1) dapper; urgency=low

  * Rebuild for registered/unregistered change of ghc6 on amd64/sparc.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Tue, 11 Apr 2006 13:19:01 +0200

=== debian/control ===
Source: hdbc
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.1), ghc6 (<< 6.4.1-999), haskell-devscripts (>= 0.5.6), cpphs, haddock
Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.4.1)
Standards-Version: 3.6.2
Section: libs

Package: libghc6-hdbc-dev
Section: libdevel
Architecture: any
Depends: ${haskell:Depends}
Suggests: libghc6-hdbc-postgresql-dev | libghc6-hdbc-sqlite3-dev, libghc6-hdbc-missingh-dev
Description: Haskell Database Connectivity, GHC6 package
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 HDBC is modeled loosely on Perl's DBI interface, though it has also been
 influenced by Python's DB-API v2, JDBC in Java, and HSQL in Haskell.
 .
 To use HDBC, you'll need both this package, and a driver package such
 as libghc6-hdbc-postgresql-dev.

Package: libhugs-hdbc
Section: libs
Architecture: all
Depends: ${haskell:Depends}
Description: Haskell Database Connectivity, Hugs package
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 HDBC is modeled loosely on Perl's DBI interface, though it has also been
 influenced by Python's DB-API v2, JDBC in Java, and HSQL in Haskell.
 .
 To use HDBC, you'll need both this package, and a driver package such
 as libhugs-hdbc-postgresql.

## hdbc 0.99.2

=== debian/changelog ===
hdbc (0.99.2) unstable; urgency=low

  * New call dbTransactionSupport

 -- John Goerzen <jgoerzen@complete.org>  Tue, 28 Mar 2006 04:57:00 -0600

hdbc (0.99.1) unstable; urgency=low

  * Release 0.99.1.  New features include generalized memory
    management support and column metadata.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 27 Mar 2006 18:54:24 -0600

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: hdbc
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.1), ghc6 (<< 6.4.1-999), haskell-devscripts (>= 0.5.6), cpphs, haddock
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.4.1)
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4), ghc6 (<< 6.4.1-999), haskell-devscripts (>= 0.5.6), cpphs, haddock
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.4)
 Standards-Version: 3.6.2
 Section: libs

## hdbc 1.0.0

=== debian/changelog ===
hdbc (1.0.0) unstable; urgency=low

  * Blessing this version as 1.0.0.  Whee!

 -- John Goerzen <jgoerzen@complete.org>  Thu, 29 Jun 2006 18:23:03 -0500

hdbc (0.99.3) unstable; urgency=low

  * [bringert] Better error messages when fromSql encounters
    data it doesn't understand
  * Rebuilt for GHC 6.4.2

 -- John Goerzen <jgoerzen@complete.org>  Wed, 28 Jun 2006 15:00:09 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: hdbc
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4), ghc6 (<< 6.4.1-999), haskell-devscripts (>= 0.5.6), cpphs, haddock
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.4)
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), ghc6 (<< 6.4.2-999), haskell-devscripts (>= 0.5.6), cpphs, haddock
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.4.2)
 Standards-Version: 3.6.2
 Section: libs

## hdbc 1.0.1

=== debian/changelog ===
hdbc (1.0.1) unstable; urgency=low

  * Now accept T and F for True and False from the underlying database
    layer -- compatibility with PostgreSQL

 -- John Goerzen <jgoerzen@complete.org>  Sat, 22 Jul 2006 07:11:08 -0500

## hdbc 1.0.1.2

=== hdbc-postgresql/Makefile ===
# Copyright (C) 2004 - 2005 John Goerzen <jgoerzen@complete.org>
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

GHCPARMS := -fglasgow-exts

.PHONY: all hugsbuild
all: setup			# GHC build
	./setup configure --user
	./setup build

hugsbuild: setup
	./setup configure --hugs
	./setup build

setup: Setup.lhs HDBC-postgresql.cabal
	ghc -package Cabal Setup.lhs -o setup

clean:
	-./setup clean
	-rm -rf html `find . -name "*.o"` `find . -name "*.hi"` \
		`find . -name "*~"` *.a setup dist testsrc/runtests \
		local-pkg doctmp
	-rm -rf testtmp/* testtmp*

testsrc/runtests: all $(wildcard testsrc/*.hs) $(wildcard testsrc/*/*.hs) $(wildcard testsrc/*/*/*.hs)
	cd testsrc && ghc --make -package mtl -package HUnit -package MissingH -package HDBC -lpq $(GHCPARMS) -o runtests  -i../dist/build:.. runtests.hs

test-ghc6: testsrc/runtests
	testsrc/runtests

test-hugs: hugsbuild
	runhugs -98 +o -P$(PWD)/dist/build:$(PWD)/testsrc: testsrc/runtests.hs

interact-hugs:
	hugs -98 +o -P$(PWD)/dist/build:

interact-ghci: all
	ghci -idist/build -Ldist/build $(GHCPARMS)

interact: interact-hugs

test: test-ghc6 test-hugs

=== debian/changelog ===
hdbc (1.0.1.2) unstable; urgency=low

  * Updated for GHC 6.6.  Closes: #393805.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 19 Oct 2006 05:12:31 -0500

hdbc (1.0.1.1) unstable; urgency=low

  * Rebuild with non-broken tar.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 22 Jul 2006 07:19:54 -0500

=== hdbc-postgresql/debian/changelog ===
hdbc-postgresql (0.99.0.0) unstable; urgency=low

  * Initial Release.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 27 Dec 2005 16:57:21 -0600

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: hdbc
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), ghc6 (<< 6.4.2-999), haskell-devscripts (>= 0.5.6), cpphs, haddock
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.4.2)
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6), ghc6 (<< 6.6-999), haskell-devscripts (>= 0.5.6), cpphs, haddock, libghc6-mtl-dev
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.6), cpphs
 Standards-Version: 3.6.2
 Section: libs
 
 Package: libghc6-hdbc-dev
 Section: libdevel
 Architecture: any
-Depends: ${haskell:Depends}
+Depends: ${haskell:Depends}, libghc6-mtl-dev
 Suggests: libghc6-hdbc-postgresql-dev | libghc6-hdbc-sqlite3-dev, libghc6-hdbc-missingh-dev
 Description: Haskell Database Connectivity, GHC6 package
  HDBC provides an abstraction layer between Haskell programs and SQL

=== hdbc-postgresql/debian/control ===
Source: hdbc-postgresql
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.1), ghc6 (<< 6.4.1-999), haskell-devscripts (>= 0.5.6), cpphs, haddock, hugs (>= 98.200503.08), libghc6-hdbc-dev (>= 0.99.0), libhugs-hdbc (>= 0.99.0), libpq-dev (>= 8.1.1)
Standards-Version: 3.6.2
Section: libs

Package: libghc6-hdbc-postgresql-dev
Section: libdevel
Architecture: any
Depends: libghc6-hdbc-dev (>= 0.99.0), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libpq-dev (>= 8.1.1)
Description: PostgreSQL HDBC (Haskell Database Connectivity) Driver for GHC
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the PostgreSQL database driver for HDBC under GHC.

Package: libhugs-hdbc-postgresql
Section: libs
Architecture: any
Depends: libhugs-hdbc (>= 0.99.0), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: PostgreSQL HDBC (Haskell Database Connectivity) Driver for Hugs
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the PostgreSQL database driver for HDBC under Hugs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	-./setup clean
	-rm -rf setup Setup.hi Setup.ho Setup.o .*config* dist

	dh_clean 

install-a: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	dh_haskell -a

install-i: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	dh_haskell -i




# Build architecture-independent files here.
binary-indep: build install-i
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i README.txt doc/*
	dh_installexamples -i
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install-a
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a README.txt doc/*
	dh_installexamples -a
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## hdbc 1.1.2.2

=== debian/changelog ===
hdbc (1.1.2.2) unstable; urgency=low

  * Build doc all the time.  Closes: #427977.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 15 Jun 2007 05:24:17 -0500

hdbc (1.1.2.1) unstable; urgency=low

  * Update for newer GHC 6.6.1.  Closes: #422290, #426127.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 06 Jun 2007 06:58:02 -0500

hdbc (1.1.2.0) unstable; urgency=low

  * Fix export of wrapped connections.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 03 May 2007 04:28:20 -0500

hdbc (1.1.1.0) unstable; urgency=low

  * New connection wrapping features.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 03 May 2007 04:10:54 -0500

hdbc (1.1.0.0) unstable; urgency=low

  * New API thanks to Peter Thiemann.
  * Fixed fromSql thanks to patch from Marco Tulio Gontijo e Silva.
    Closes: #399858.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 02 May 2007 05:21:38 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hdbc
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6), ghc6 (<< 6.6-999), haskell-devscripts (>= 0.5.6), cpphs, haddock, libghc6-mtl-dev
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6.1), ghc6 (<< 6.6.1-999), haskell-devscripts (>= 0.5.6), cpphs, haddock, libghc6-mtl-dev
 Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.6), cpphs
 Standards-Version: 3.6.2
 Section: libs

## hdbc 1.1.4.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,13 @@
 all:
 	@echo "Please use Cabal to build this package; not make."
+	./Setup.lhs configure
+	./Setup.lhs build
+
+install:
+	./Setup.lhs install
+
+clean:
+	./Setup.lhs clean
 
 .PHONY: doc
 doc:

=== debian/changelog ===
hdbc (1.1.4.0) unstable; urgency=low

  * Updates for GHC 6.8.x.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 11 Jan 2008 05:07:31 -0600

hdbc (1.1.3.0) unstable; urgency=low

  * New release of HDBC.
  * [API] Added strict versions of fetchAll* and related functions.
    Specific new functions are: quickQuery', fetchAllRows',
    fetchAllRowsAL', fetchAllRowsMAP', sFetchAllRows'.  This does
    not impact database drivers.  No user impact.
  * [API] Changed spec to make the following functions strict
    in their result: describeResult, getTables, describeTable.
    No code change in HDBC.  Potential code change in backends.
    No anticipated user impact.
  * Add SqlByteString constructor to SqlValue.  Patch from
    Toby Allsopp.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 31 Oct 2007 04:26:39 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: hdbc
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6.1), ghc6 (<< 6.6.1-999), haskell-devscripts (>= 0.5.6), cpphs, haddock, libghc6-mtl-dev
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.6), cpphs
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.3), cpphs, haddock, libghc6-mtl-dev
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.6.3), ghc6 (>= 6.8), cpphs
 Standards-Version: 3.6.2
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,7 @@
 
 	# Add here commands to compile the package.
 	#$(MAKE)
+	$(MAKE) doc
 
 	touch build-stamp
 
@@ -55,6 +56,7 @@
 	#-$(MAKE) clean
 	-./setup clean
 	-rm -rf setup Setup.hi Setup.ho Setup.o .*config* dist
+	-rm -rf doc
 
 	dh_clean

## hdbc 1.1.5.0

=== debian/changelog ===
hdbc (1.1.5.0) unstable; urgency=low

  * Added missing ConnWrapper(..) to exports.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 27 May 2008 14:14:27 -0500

## hdbc 1.1.6.2

=== debian/changelog ===
hdbc (1.1.6.2) unstable; urgency=high

  * Rebuild for new GHC.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 19 Jan 2009 16:07:43 -0600

hdbc (1.1.6.1) unstable; urgency=low

  * Added dh_haskell_depends.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 30 Dec 2008 08:58:48 -0600

hdbc (1.1.6.0) unstable; urgency=low

  * Applied GHC 6.10 compatibility patch from Brian Bloniarz
  * Accept '0' and '1' as Bools

 -- John Goerzen <jgoerzen@complete.org>  Tue, 30 Dec 2008 08:49:28 -0600

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: hdbc
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.3), cpphs, haddock, libghc6-mtl-dev
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.6.3), ghc6 (>= 6.8), cpphs
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2dfsg1), haskell-devscripts (>= 0.6.15), cpphs, haddock, libghc6-mtl-dev
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.6.3), ghc6 (>= 6.8.2dfsg1), cpphs
 Standards-Version: 3.6.2
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -69,6 +69,7 @@
 	# Add here commands to install the package into debian/tmp
 	#$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	dh_haskell -a
+	dh_haskell_depends -a
 
 install-i: build
 	dh_testdir

## hdbc 2.2.6

=== Makefile ===
# Copyright (C) 2004 - 2009 John Goerzen <jgoerzen@complete.org>
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
all: setup
	@echo "Please use Cabal to build this package; not make."
	./setup configure
	./setup build

setup: Setup.lhs
	ghc --make -o setup Setup.lhs

install: setup
	./setup install

clean:
	./Setup.lhs clean

.PHONY: test
test: test-ghc test-hugs
	@echo ""
	@echo "All tests pass."

test-hugs: setup
	@echo " ****** Running hugs tests"
	./setup configure -f buildtests --hugs
	./setup build
	runhugs -98 +o -P$(PWD)/dist/scratch:$(PWD)/dist/scratch/programs/runtests: \
		dist/scratch/programs/runtests/Main.hs

test-ghc: setup
	@echo " ****** Building GHC tests"
	./setup configure -f buildtests
	./setup build
	@echo " ****** Running GHC tests"
	./dist/build/runtests/runtests

=== debian/changelog ===
hdbc (2.2.6-4) unstable; urgency=low

  * [f900939] Add missing haskell-devscripts substvars (particularly
    haskell:Provides)
  * [d5c564b] Remove duplicate BD on haddock

 -- Iain Lane <laney@debian.org>  Mon, 30 May 2011 15:44:22 +0100

hdbc (2.2.6-3) unstable; urgency=low

  * [1646918] s/ghc6/ghc/ for GHC 7 transition
  * [03f9825] Standards-Version → 3.9.2, no changes required
  * [5ebe695] Cherry-pick upstream patch to support time 1.2.0.3 available in GHC 7
  * [ba9f2f7] Add missing utf8-string BDs

 -- Iain Lane <laney@debian.org>  Sat, 28 May 2011 11:03:23 +0100

hdbc (2.2.6-2) unstable; urgency=low

  * control: Use versioned Replaces: and Conflicts:

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 05 May 2010 23:13:58 -0300

hdbc (2.2.6-1) unstable; urgency=low

  * New upstream release.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 23 Apr 2010 21:42:09 -0500

hdbc (2.2.3-2) unstable; urgency=low

  * debian/control: Rename -doc package.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 17 Mar 2010 19:53:21 -0300

hdbc (2.2.3-1) unstable; urgency=low

  * New upstream release.
  * Rebuild for GHC 6.12.
  * Drop dep on utf8-string as it's part of GHC 6.12.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 17 Feb 2010 14:28:22 -0600

hdbc (2.2.0-2) unstable; urgency=low

  * Convert to using hlibrary.mk (Closes: #556815)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 05 Dec 2009 18:22:51 +0100

hdbc (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Switch to team maintenance.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 02 Nov 2009 16:39:33 -0600

hdbc (2.1.0-3) unstable; urgency=low

  * Rebuild for newer utf8-string and Makefile fix.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 02 Jul 2009 14:57:45 -0500

hdbc (2.1.0-2) unstable; urgency=low

  * Rebuild for GHC 6.10

 -- John Goerzen <jgoerzen@complete.org>  Fri, 06 Mar 2009 08:06:57 -0600

hdbc (2.1.0-1) unstable; urgency=low

  * Adjust default String conversions of date/time types to support
    fractional parts of seconds.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 04 Feb 2009 10:50:47 -0600

hdbc (2.0.0-1) unstable; urgency=low

  * New release: 
    + Native support for the new exception handling in GHC
      6.10, wich CPP conditional compilation to continue supporting the
      old-style exceptions in GHC 6.8 and Hugs.

    + Now supports converting Data.Time.* types to/from SqlValue.
  
    + Major expansion of SqlValue to be able to carry date/time data to/from
      databases in terms of Data.Time.* types.

    + Rework how SqlType typeclass works.  Replace fromSql with
      safeFromSql that returns Left on impossible conversions instead
      raising an exception.  Wrote new fromSql that provides old behavior by
      raising the error from safeFromSql in the old manner.  Greatly
      enhanced many error messages throughout SqlType instances.

    + Moved SqlType and SqlValue code from Database.HDBC.Satement to
      Database.HDBC.SqlValue.  Database.HDBC.Statement continues to
      re-export them for compatibility, but this is deprecated.
      Database.HDBC and Database.HDBC.Types both continue to re-export them,
      and this is not deprecated.

    + Old System.Time APIs are retained for now, but marked deprecated.
      The above API changes are designed to be non-invasive in most cases,
      but may require code change in some extremely rare corner cases.

    + Fixes for Haddock formatting.

    + Expansion of Haddock docs.

  * Noting addition of profiling libraries.  Closes: #473520, #509848.

  * No longer a Debian-native package due to problems with dh_haskell_depends.
  
  * Adding doc package.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 30 Jan 2009 14:22:38 -0600

=== debian/control ===
Source: hdbc
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: John Goerzen <jgoerzen@complete.org>
Build-Depends:
 cdbs,
 debhelper (>= 7),
 ghc (>= 6.12),
 haskell-devscripts (>= 0.6.18),
 cpphs,
 libghc-mtl-dev,
 libghc-mtl-prof,
 libghc-time-dev,
 libghc-time-prof,
 libghc-convertible-dev (>= 1.0.1-2),
 libghc-convertible-prof,
 libghc-utf8-string-dev,
 libghc-utf8-string-prof,
 ghc-doc,
 haddock,
 hscolour,
 libghc-mtl-doc,
 libghc-time-doc,
 haskell-convertible-doc
Standards-Version: 3.9.2
Section: haskell
Homepage: http://software.complete.org/hdbc
Vcs-Git: git://git.debian.org/git/pkg-haskell/hdbc.git
Vcs-Browser: http://git.debian.org/?p=pkg-haskell/hdbc.git;a=summary

Package: libghc-hdbc-dev
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${haskell:Depends}
Suggests: libghc-hdbc-postgresql-dev | libghc-hdbc-sqlite3-dev, libghc-hdbc-missingh-dev, ${haskell:Suggests}
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Description: Haskell Database Connectivity, GHC package
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 HDBC is modeled loosely on Perl's DBI interface, though it has also been
 influenced by Python's DB-API v2, JDBC in Java, and HSQL in Haskell.
 .
 To use HDBC, you'll need both this package, and a driver package such
 as libghc-hdbc-postgresql-dev.

Package: libghc-hdbc-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskell Database Connectivity, GHC profiling data
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This package provides profiling information for using
 HDBC with GHC.

#Package: libhugs-hdbc
#Section: libs
#Architecture: all
#Depends: ${haskell:Depends}, libhugs-convertible (>= 1.0.1-2), libhugs-time-bundled
#Description: Haskell Database Connectivity, Hugs package
# HDBC provides an abstraction layer between Haskell programs and SQL
# relational databases. This lets you write database code once, in
# Haskell, and have it work with any number of backend SQL databases
# (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
# .
# HDBC is modeled loosely on Perl's DBI interface, though it has also been
# influenced by Python's DB-API v2, JDBC in Java, and HSQL in Haskell.
# .
# To use HDBC, you'll need both this package, and a driver package such
# as libhugs-hdbc-postgresql.

Package: libghc-hdbc-doc
Replaces: haskell-hdbc-doc (<< 2.2.3-2)
Conflicts: haskell-hdbc-doc (<< 2.2.3-2)
Provides: haskell-hdbc-doc, ${haskell:Provides}
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Haskell Database Connectivity, Documentation
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 HDBC is modeled loosely on Perl's DBI interface, though it has also been
 influenced by Python's DB-API v2, JDBC in Java, and HSQL in Haskell.

## hdbc 2.3.1.1

=== debian/changelog ===
hdbc (2.3.1.1-1) unstable; urgency=low

  * New upstream version.
    - Drop 0001-Support-for-time-1.2.0.3.patch

 -- Clint Adams <clint@debian.org>  Sun, 12 Feb 2012 17:50:49 -0500

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
  cpphs,
  libghc-mtl-dev,
  libghc-mtl-prof,
- libghc-time-dev,
- libghc-time-prof,
- libghc-convertible-dev (>= 1.0.1-2),
+ libghc-text-dev,
+ libghc-text-prof,
+ libghc-convertible-dev (>> 1.0.10.0),
  libghc-convertible-prof,
  libghc-utf8-string-dev,
  libghc-utf8-string-prof,
@@ -20,7 +20,7 @@
  haddock,
  hscolour,
  libghc-mtl-doc,
- libghc-time-doc,
+ libghc-text-doc,
  haskell-convertible-doc
 Standards-Version: 3.9.2
 Section: haskell

## hdbc 2.3.1.2

=== debian/changelog ===
hdbc (2.3.1.2-2) experimental; urgency=low

  * Build-depend on libghc-convertible-doc rather than the transitional
    haskell-convertible-doc.

 -- Colin Watson <cjwatson@debian.org>  Wed, 10 Apr 2013 11:00:26 +0100

hdbc (2.3.1.2-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this package is built
    against experimental
  * Add watch file
  * Change Vcs headers to Darcs
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 04 Jan 2013 17:08:12 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  cdbs,
  debhelper (>= 7),
  ghc (>= 6.12),
- haskell-devscripts (>= 0.6.18),
+ haskell-devscripts (>= 0.8.13),
  cpphs,
  libghc-mtl-dev,
  libghc-mtl-prof,
@@ -21,12 +21,12 @@
  hscolour,
  libghc-mtl-doc,
  libghc-text-doc,
- haskell-convertible-doc
+ libghc-convertible-doc
 Standards-Version: 3.9.2
 Section: haskell
 Homepage: http://software.complete.org/hdbc
-Vcs-Git: git://git.debian.org/git/pkg-haskell/hdbc.git
-Vcs-Browser: http://git.debian.org/?p=pkg-haskell/hdbc.git;a=summary
+Vcs-Darcs: http://darcs.debian.org/pkg-haskell/hdbc
+Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/hdbc
 
 Package: libghc-hdbc-dev
 Architecture: any

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|HDBC-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/HDBC \
    ([\d\.]*\d)/

## hdbc 2.4.0.0

=== debian/changelog ===
hdbc (2.4.0.0-3build2) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Jun 2015 23:15:11 +0100

hdbc (2.4.0.0-3build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 24 May 2015 16:55:14 +0100

hdbc (2.4.0.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:55:50 +0200

hdbc (2.4.0.0-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:12:56 +0100

hdbc (2.4.0.0-1) unstable; urgency=medium

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout
  * Fix Homepage URL

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Mon, 02 Jun 2014 08:46:03 -0400

hdbc (2.3.1.2-3) unstable; urgency=low

  * Enable compat level 9
  * Bump standards version to 3.9.4

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:52:42 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Uploaders: John Goerzen <jgoerzen@complete.org>
 Build-Depends:
  cdbs,
- debhelper (>= 7),
+ debhelper (>= 9),
  ghc (>= 6.12),
- haskell-devscripts (>= 0.8.13),
+ haskell-devscripts (>= 0.9),
  cpphs,
  libghc-mtl-dev,
  libghc-mtl-prof,
  libghc-text-dev,
  libghc-text-prof,
- libghc-convertible-dev (>> 1.0.10.0),
+ libghc-convertible-dev (>= 1.1.0.0),
  libghc-convertible-prof,
  libghc-utf8-string-dev,
  libghc-utf8-string-prof,
@@ -22,9 +22,9 @@
  libghc-mtl-doc,
  libghc-text-doc,
  libghc-convertible-doc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Section: haskell
-Homepage: http://software.complete.org/hdbc
+Homepage: https://github.com/hdbc/hdbc
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/hdbc
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/hdbc

## hdbc 2.4.0.1

=== Makefile ===
all: setup
	@echo "Please use Cabal to build this package; not make."
	./setup configure
	./setup build

setup: Setup.lhs
	ghc --make -o setup Setup.lhs

install: setup
	./setup install

clean:
	./Setup.lhs clean

.PHONY: test
test: test-ghc test-hugs
	@echo ""
	@echo "All tests pass."

test-hugs: setup
	@echo " ****** Running hugs tests"
	./setup configure -f buildtests --hugs
	./setup build
	runhugs -98 +o -P$(PWD)/dist/scratch:$(PWD)/dist/scratch/programs/runtests: \
		dist/scratch/programs/runtests/Main.hs

test-ghc: setup
	@echo " ****** Building GHC tests"
	./setup configure -f buildtests
	./setup build
	@echo " ****** Running GHC tests"
	./dist/build/runtests/runtests

=== debian/changelog ===
hdbc (2.4.0.1-2build1) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Jan 2016 21:26:41 +0000

hdbc (2.4.0.1-2) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:21 -0500

hdbc (2.4.0.1-1) experimental; urgency=medium

  * New upstream release
  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:29:11 +0200

=== debian/control ===
Source: hdbc
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: John Goerzen <jgoerzen@complete.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libghc-convertible-dev (>= 1.1.0.0),
 libghc-convertible-prof,
 libghc-mtl-dev,
 libghc-mtl-prof,
 libghc-text-dev,
 libghc-text-prof,
 libghc-utf8-string-dev,
 libghc-utf8-string-prof,
Build-Depends-Indep: ghc-doc,
 libghc-convertible-doc,
 libghc-mtl-doc,
 libghc-text-doc,
 libghc-utf8-string-doc,
Standards-Version: 3.9.6
Homepage: https://github.com/hdbc/hdbc
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-hdbc-dev
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ${haskell:Depends},
Recommends: ${haskell:Recommends},
Suggests: libghc-hdbc-postgresql-dev | libghc-hdbc-sqlite3-dev,
 libghc-hdbc-missingh-dev,
 ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Haskell Database Connectivity, GHC package
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 HDBC is modeled loosely on Perl's DBI interface, though it has also been
 influenced by Python's DB-API v2, JDBC in Java, and HSQL in Haskell.
 .
 To use HDBC, you'll need both this package, and a driver package such
 as libghc-hdbc-postgresql-dev.

Package: libghc-hdbc-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Haskell Database Connectivity, GHC profiling data
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This package provides profiling information for using
 HDBC with GHC.

Package: libghc-hdbc-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: haskell-hdbc-doc (<< 2.2.3-2),
Provides: haskell-hdbc-doc,
 ${haskell:Provides},
Replaces: haskell-hdbc-doc (<< 2.2.3-2),
Description: Haskell Database Connectivity, Documentation
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 HDBC is modeled loosely on Perl's DBI interface, though it has also been
 influenced by Python's DB-API v2, JDBC in Java, and HSQL in Haskell.

=== debian/watch ===
version=3
http://hackage.haskell.org/package/HDBC/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## hdbc 2.4.0.2

=== debian/changelog ===
hdbc (2.4.0.2-2) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:05:12 -0400

hdbc (2.4.0.2-1) unstable; urgency=medium

  * New upstream release
  * Drop newer-time patch.
    Obsoleted by upstream changes.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 10 Sep 2017 15:23:46 -0700

hdbc (2.4.0.1-6) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:37:16 -0400

hdbc (2.4.0.1-5) experimental; urgency=medium

  * Patch to build with newer time.

 -- Clint Adams <clint@debian.org>  Mon, 17 Oct 2016 14:59:16 -0400

hdbc (2.4.0.1-4) experimental; urgency=medium

  * Disable building of "runtests".

 -- Clint Adams <clint@debian.org>  Mon, 17 Oct 2016 11:44:06 -0400

hdbc (2.4.0.1-3) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 01:43:30 -0400

=== debian/control ===
Source: hdbc
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 John Goerzen <jgoerzen@complete.org>,
Priority: optional
Section: haskell
Build-Depends:
 cdbs,
 debhelper (>= 9),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-convertible-dev (>= 1.1.0.0),
 libghc-convertible-prof,
 libghc-mtl-dev,
 libghc-mtl-prof,
 libghc-text-dev,
 libghc-text-prof,
 libghc-utf8-string-dev,
 libghc-utf8-string-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-convertible-doc,
 libghc-mtl-doc,
 libghc-text-doc,
 libghc-utf8-string-doc,
Standards-Version: 4.1.4
Homepage: https://github.com/hdbc/hdbc
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/hdbc
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git

Package: libghc-hdbc-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 libghc-hdbc-missingh-dev,
 libghc-hdbc-postgresql-dev | libghc-hdbc-sqlite3-dev,
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Haskell Database Connectivity, GHC package
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 HDBC is modeled loosely on Perl's DBI interface, though it has also been
 influenced by Python's DB-API v2, JDBC in Java, and HSQL in Haskell.
 .
 To use HDBC, you'll need both this package, and a driver package such
 as libghc-hdbc-postgresql-dev.

Package: libghc-hdbc-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Haskell Database Connectivity, GHC profiling data
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This package provides profiling information for using
 HDBC with GHC.

Package: libghc-hdbc-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 haskell-hdbc-doc (<< 2.2.3-2),
Provides:
 haskell-hdbc-doc,
 ${haskell:Provides},
Replaces:
 haskell-hdbc-doc (<< 2.2.3-2),
Description: Haskell Database Connectivity, Documentation
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 HDBC is modeled loosely on Perl's DBI interface, though it has also been
 influenced by Python's DB-API v2, JDBC in Java, and HSQL in Haskell.

## hdbc 2.4.0.3

=== debian/changelog ===
hdbc (2.4.0.3-1build2) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Oct 2020 20:57:54 +0000

hdbc (2.4.0.3-1build1) groovy; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Jul 2020 14:26:44 +0200

hdbc (2.4.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 16 Jun 2020 20:51:24 -0400

hdbc (2.4.0.2-4) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)
  * Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:47:51 +0300

hdbc (2.4.0.2-3) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:26:59 +0300

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,29 @@
 Source: hdbc
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  John Goerzen <jgoerzen@complete.org>,
 Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  cdbs,
- debhelper (>= 9),
- ghc (>= 8),
+ debhelper (>= 10),
+ ghc (>= 8.4.3),
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libghc-convertible-dev (>= 1.1.0.0),
  libghc-convertible-prof,
- libghc-mtl-dev,
- libghc-mtl-prof,
- libghc-text-dev,
- libghc-text-prof,
  libghc-utf8-string-dev,
  libghc-utf8-string-prof,
 Build-Depends-Indep:
  ghc-doc,
  libghc-convertible-doc,
- libghc-mtl-doc,
- libghc-text-doc,
  libghc-utf8-string-doc,
 Standards-Version: 4.1.4
 Homepage: https://github.com/hdbc/hdbc
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/hdbc
-Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/hdbc]
 
 Package: libghc-hdbc-dev
 Architecture: any

## hdbc 2.4.0.4

=== debian/changelog ===
hdbc (2.4.0.4-4) unstable; urgency=medium

  * Build using dh-haskell
  * Sourceful upload for GHC 9.10

 -- Scott Talbert <swt@techie.net>  Tue, 06 Jan 2026 23:46:18 -0500

hdbc (2.4.0.4-3) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 19 Sep 2024 10:40:02 +0300

hdbc (2.4.0.4-2) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * Sourceful upload for GHC 9.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 01 Sep 2023 20:27:02 +0300

hdbc (2.4.0.4-1) unstable; urgency=medium

  * New upstream release (Closes: #1013559)
  * Declare compliance with Debian policy 4.6.1

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 03 Jul 2022 15:52:56 +0300

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: hdbc
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  John Goerzen <jgoerzen@complete.org>,
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends:
- cdbs,
- debhelper (>= 10),
- ghc (>= 8.4.3),
+ dh-sequence-haskell,
+ debhelper-compat (= 13),
+ ghc (>= 9.10),
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libghc-convertible-dev (>= 1.1.0.0),
@@ -20,7 +19,7 @@
  ghc-doc,
  libghc-convertible-doc,
  libghc-utf8-string-doc,
-Standards-Version: 4.1.4
+Standards-Version: 4.7.0
 Homepage: https://github.com/hdbc/hdbc
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/hdbc
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/hdbc]

=== debian/rules ===
#!/usr/bin/make -f

export DEB_SETUP_GHC_CONFIGURE_ARGS += -f-buildtests

%:
	dh $@
